import request from "@/utils/request";

export function index(params,isLoading = false) {
  return request({
    method: "get",
    url: "/api/admin/custom-form-field/index",
    params,
    isLoading
  })
}

export function show(params) {
  return request({
    method: "get",
    url: "/api/admin/custom-form-field/show",
    params
  })
}

export function save(data) {
  return request({
    method: "post",
    url: "/api/admin/custom-form-field/save",
    data
  })
}

export function destroy(params) {
  return request({
    method: "get",
    url: "/api/admin/custom-form-field/destroy",
    params
  })
}

export function config(params,isLoading = false) {
  return request({
    method: "get",
    url: "/api/admin/custom-form-field/config",
    params,
    isLoading
  })
}

export function translate(params) {
  return request({
    method: "get",
    url: "/api/admin/custom-form-field/pinyin",
    params,
    isLoading: false
  })
}
